### Method

# Shell AppSystem lookup_app

#### Declaration [src]

    ShellApp*
    shell_app_system_lookup_app (
      ShellAppSystem* system,
      const char* id
    )

#### Description [src]

Find a `ShellApp` corresponding to an id.

#### Parameters

`id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShellApp`

The `ShellApp` for id, or `NULL` if none.

The data is owned by the instance.